
import { getTextureByName } from "./utils";
export class Tealeaf extends engine.Container {
    private _teaFull: engine.Image;
    private _teaHalfFull: engine.Image;
    private _teaImages: any
    constructor() {
        super();

        this._teaFull = new engine.Image(getTextureByName('茶叶-满'));
        this._teaHalfFull = new engine.Image(getTextureByName('茶叶-少'));
        this._teaImages = [this._teaFull, this._teaHalfFull]

        this.addChild(this._teaFull);
        this.addChild(this._teaHalfFull);
    }

    reset() {
        this.visible = true;

    }

    getSpriteUrl(index) {
        let url = this._teaImages[index].url;
        return url;
    }
}
